Skip to main content
GET
/
accounts
/
{account_id}
/
funding-accounts
List funding accounts
curl --request GET \
  --url https://api.engine.usesophic.com/accounts/{account_id}/funding-accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "owner_name": "<string>",
    "iban": "<string>",
    "bank_code": "<string>",
    "currency": "EUR",
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "nickname": "<string>",
    "is_verified": false
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Response

OK

id
string
required

Unique resource identifier.

owner_name
string
required

The owner name as specified by the bank on the funding account.

iban
string
required

The IBAN of the funding account.

bank_code
string
required

The bank code (e.g BIC/SWIFT).

currency
enum<string>
required

The currency of the funding account. We don't support multi-currency funding accounts at this time.

Available options:
EUR,
USD,
GBP
created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

nickname
string | null

User-provided nickname for the funding account. This can be used in your app to distinguish between multiple funding accounts.

is_verified
boolean
default:false

Whether we've verified the ownership of the funding account. By default, we will mark the funding account as verified if we've received a deposit from it.